堀江です。

がーん。もうお気づきと思いますが、qt に qt2 のサンプルをコピーしてしまいました。

この週末少し時間ができたので、前のエラーも含め、手直ししたものを作り直しましたので、
そちらもお試しいただければ幸いです。
RAAの方もなおしておきます。
(ruby-qt-0.14b.tar.gzなど)
なお、ruby-qt2-0.10b.tar.gz はQt ver2.xのライブラリーです。Qt のver 2.x は大幅に機能が
拡張されているので別パッケージとすることにしました。こちらもお試しください。

いずれもSWIG(+ruby module)を用いて作成しました。

Fri, 05 Jan 2001, you wrote in [ruby-ext:01475] Re: ruby-qt-0.14 compile
error(Fri, 05 Jan 2001): > At Fri, 5 Jan 2001 17:57:03 +0900,
> Nobuyuki Horie wrote:
> > いろいろすみません。
> > ruby-qt-0.14のエラーの件ですが、以下のパッチを試してみてください。(castしただけ。)
> 
> 素早い対応ありがとうございます。無事コンパイルは通りました。
> (gcc 2.95.2 および 2.95.3 RC#1 で確認)
> 
> > また何かありましたらよろしくお願いします。
> 
> 付属のサンプルの多くが require 'qt2' となっているようですが、
> できれば ruby-qt-0.14 には require 'qt2' なものだけを収録して
> いただきたいです。
(略)
-- 
**************************************
Nobuyuki Horie, Ph.D.
Lab. Genetic Engineering/Univ. of Shizuoka
mail: horie / smail.u-shizuoka-ken.ac.jp
home page: http://www.u-shizuoka-ken.ac.jp